```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Visa B2B Connect",
    "description": "A global technology platform designed to enable direct and predictable exchange of value for banks and corporate clients.",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://sandbox.api.visa.com",
      "description": "Sandbox server"
    }
  ],
  "security": [],
  "tags": [
    {
      "name": "Payments API",
      "description": "The VISA B2B Connect REST API allows developers to perform operations from a company or bank perspective.  The VISA B2B Connect API allows you to create and update profiles or retreive information that is relevant to you."
    }
  ],
  "paths": {
    "/visab2bconnect/v1/payments": {
      "post": {
        "tags": [
          "Payments API"
        ],
        "summary": "Make a Payment",
        "description": "Make a Payment.",
        "operationId": "Make a Payment",
        "parameters": [
          {
            "name": "relationship-id",
            "in": "header",
            "description": "subsidiary Clearing MemberID OR subsidiary Bank Bic",
            "required": false,
            "explode": false,
            "schema": {
              "type": "string",
              "format": "BIC"
            }
          }
        ],
        "requestBody": {
          "description": "Request body",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/companyPaymentsRequest_13"
              },
              "examples": {
                "Make Payment by Clearing Member ID": {
                  "summary": "Make Payment by Clearing Member ID",
                  "value": {
                    "chargeBearer": "SHAR",
                    "structuredRemittance": [
                      {
                        "invoiceNotes": "Payment as agreed",
                        "invoiceNumber": "1",
                        "poNumber": "12345",
                        "partialPayment": false
                      }
                    ],
                    "creditorAgentBranchName": "Test",
                    "loanReferenceNumber": "LRN1234567890",
                    "debtorEnterpriseId": "V-BRA-CCC-57987557-100676596-001",
                    "creditorAccountNumber": "254606",
                    "creditorAgentInstruction": "testpayment",
                    "debtorAgentClearingMemberIDType": "USABA",
                    "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
                    "serviceLevel": "STANDARD",
                    "creditorEnterpriseId": "V-USA-USD-CBWBUS44XXX-100700060-001",
                    "transactionID": "BD9ISCA5KFGHGGHDGHJBG4KQY6P",
                    "unstructuredRemittance": "testpayment",
                    "instructedCurrency": "MXN",
                    "creditorLEI": "529900T8BM49AURSDO55",
                    "fxTradeRefNumber": "9b399c7a785545a3863302eae9b7dddb",
                    "creditorAgentClearingMemberID": "546493222",
                    "instructedAmount": "1.64",
                    "paymentPurpose": "Exportbills",
                    "creditorAgentBic": "CBWBUS44XXX",
                    "debtorAgentClearingMemberID": "062001186",
                    "valueAddedTaxIndicator": "INC",
                    "creditorTaxID": "12345",
                    "creditorAgentBranchID": "12345"
                  }
                },
                "Make Payment by Bank BIC": {
                  "summary": "Make Payment by Bank BIC",
                  "value": {
                    "chargeBearer": "SHAR",
                    "structuredRemittance": [
                      {
                        "invoiceNotes": "Payment as agreed",
                        "invoiceNumber": "1",
                        "poNumber": "12345",
                        "partialPayment": false
                      }
                    ],
                    "creditorAgentBranchName": "Test",
                    "loanReferenceNumber": "LRN1234567890",
                    "debtorEnterpriseId": "V-BRA-CCC-57987557-100676596-001",
                    "creditorAccountNumber": "254606",
                    "creditorAgentInstruction": "testpayment",
                    "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
                    "serviceLevel": "STANDARD",
                    "creditorEnterpriseId": "V-USA-USD-CBWBUS44XXX-100700060-001",
                    "transactionID": "BD9ISCA5KFGHGGHDGHJBG4KQY6P",
                    "unstructuredRemittance": "testpayment",
                    "instructedCurrency": "MXN",
                    "creditorLEI": "529900T8BM49AURSDO55",
                    "fxTradeRefNumber": "9b399c7a785545a3863302eae9b7dddb",
                    "creditorAgentClearingMemberID": "546493222",
                    "instructedAmount": "1.64",
                    "paymentPurpose": "Exportbills",
                    "creditorAgentBic": "CBWBUS44XXX",
                    "debtorAgentBic": "BARCGB22",
                    "valueAddedTaxIndicator": "INC",
                    "creditorTaxID": "12345",
                    "creditorAgentBranchID": "12345"
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Payment created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/companyPaymentsResponse_13"
                },
                "examples": {
                  "Make Payment by Clearing Member ID": {
                    "summary": "Make Payment by Clearing Member ID",
                    "value": {
                      "chargeBearer": "SHAR",
                      "structuredRemittance": [
                        {
                          "invoiceNotes": "Payment as agreed",
                          "invoiceNumber": "1",
                          "poNumber": "12345",
                          "partialPayment": false
                        }
                      ],
                      "creditorAgentBranchName": "Test",
                      "loanReferenceNumber": "LRN1234567890",
                      "debtorEnterpriseId": "V-BRA-CCC-57987557-100676596-001",
                      "expectedSettlementDate": "2019-07-23",
                      "type": "In Network",
                      "creditorEnterpriseId": "V-USA-USD-CBWBUS44XXX-100700060-001",
                      "transactionID": "BD9ISCA5KFGHGGHDGHJBG4KQY6P",
                      "unstructuredRemittance": "testpayment",
                      "instructedCurrency": "MXN",
                      "exchangeRate": 1,
                      "paymentId": "48509789",
                      "creditorLEI": "529900T8BM49AURSDO55",
                      "fxTradeRefNumber": "9b399c7a785545a3863302eae9b7dddb",
                      "paymentCreatedDate": "2019-07-23",
                      "instructedAmount": 1.64,
                      "debtorAgentClearingMemberID": "062001186",
                      "paymentStatus": "Pending Settlement",
                      "creditorAgentBranchID": "12345",
                      "creditorAccountNumber": "254606",
                      "creditorAgentInstruction": "testpayment",
                      "debtorAgentClearingMemberIDType": "USABA",
                      "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
                      "serviceLevel": "STANDARD",
                      "settlementCurrency": "MXN",
                      "creditorAgentClearingMemberID": "546493222",
                      "responseList": [
                        {
                          "reasonCode": "Z200",
                          "reasonDesc": " Payment Processing successful."
                        }
                      ],
                      "paymentPurpose": "Exportbills",
                      "creditorAgentBic": "CBWBUS44XXX",
                      "settlementAmount": 1.64,
                      "valueAddedTaxIndicator": "INC",
                      "creditorTaxID": "12345"
                    }
                  },
                  "Make Payment by Bank BIC": {
                    "summary": "Make Payment by Bank BIC",
                    "value": {
                      "chargeBearer": "SHAR",
                      "structuredRemittance": [
                        {
                          "invoiceNotes": "Payment as agreed",
                          "invoiceNumber": "1",
                          "poNumber": "12345",
                          "partialPayment": false
                        }
                      ],
                      "creditorAgentBranchName": "Test",
                      "loanReferenceNumber": "LRN1234567890",
                      "debtorEnterpriseId": "V-BRA-CCC-57987557-100676596-001",
                      "expectedSettlementDate": "2019-07-23",
                      "type": "In Network",
                      "creditorEnterpriseId": "V-USA-USD-CBWBUS44XXX-100700060-001",
                      "transactionID": "BD9ISCA5KFGHGGHDGHJBG4KQY6P",
                      "unstructuredRemittance": "testpayment",
                      "instructedCurrency": "MXN",
                      "exchangeRate": 1,
                      "paymentId": "40855374",
                      "creditorLEI": "529900T8BM49AURSDO55",
                      "fxTradeRefNumber": "9b399c7a785545a3863302eae9b7dddb",
                      "paymentCreatedDate": "2019-07-23",
                      "instructedAmount": 1.64,
                      "paymentStatus": "Pending Settlement",
                      "creditorAgentBranchID": "12345",
                      "creditorAccountNumber": "254606",
                      "creditorAgentInstruction": "testpayment",
                      "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
                      "serviceLevel": "STANDARD",
                      "settlementCurrency": "MXN",
                      "creditorAgentClearingMemberID": "546493222",
                      "responseList": [
                        {
                          "reasonCode": "Z200",
                          "reasonDesc": " Payment Processing successful."
                        }
                      ],
                      "paymentPurpose": "Exportbills",
                      "creditorAgentBic": "CBWBUS44XXX",
                      "settlementAmount": 1.64,
                      "debtorAgentBic": "BARCGB22XXX",
                      "valueAddedTaxIndicator": "INC",
                      "creditorTaxID": "12345"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseList_13"
                }
              }
            }
          },
          "500": {
            "description": "Server Error or Exception",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage_13"
                }
              }
            }
          }
        },
        "x-operationVersions": [
          {
            "label": "v1",
            "operationPointer": "#/paths/~1visab2bconnect~1v1~1payments/post",
            "default": false
          }
        ],
        "x-codegen-request-body-name": "companyPaymentsPost",
        "x-hideTryIt": true
      }
    },
    "/visab2bconnect/v1/sendMessage": {
      "post": {
        "tags": [
          "Payments API"
        ],
        "summary": "Send Message",
        "description": "This endpoint is used to send a message notification to the Originating bank or Beneficiary Bank.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "message": {
                    "maxLength": 350,
                    "type": "string",
                    "description": "Freeform text, mandatory, up to 350 alphanumeric characters"
                  },
                  "category": {
                    "type": "string",
                    "description": "Pre-defined list, mandatory",
                    "enum": [
                      "Unable To Apply Funds",
                      "Claim Non-Receipt of Funds",
                      "Additional Payment Information",
                      "Resolution Of Investigation",
                      "Notification of Case Assignment",
                      "Reject Investigation",
                      "Cancel Case Assignment",
                      "Request for Duplicate",
                      "Duplicate",
                      "Proprietary Format Investigation",
                      "Debit Authorization Response",
                      "Debit Authorization Request",
                      "Case Status Report Request",
                      "Case Status Report",
                      "Customer Payment Cancellation Request",
                      "FI to FI Payment Cancellation Request",
                      "Request to Modify Payment"
                    ]
                  },
                  "paymentId": {
                    "type": "string",
                    "description": "Payment ID, mandatory if transactionId not present"
                  },
                  "transactionId": {
                    "type": "string",
                    "description": "Transaction ID, mandatory if paymentId not present"
                  }
                }
              },
              "examples": {
                "Send Message": {
                  "summary": "Send Message",
                  "value": {
                    "paymentId": "1000000000292131",
                    "message": "Testing",
                    "category": "Request for Duplicate"
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Message sent successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string"
                    },
                    "category": {
                      "type": "string"
                    },
                    "paymentId": {
                      "type": "string"
                    },
                    "responseList": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "reasonCode": {
                            "type": "string"
                          },
                          "reasonDesc": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "transactionId": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Send Message": {
                    "summary": "Send Message",
                    "value": {
                      "paymentId": "1000000000292131",
                      "responseList": [
                        {
                          "reasonCode": "Z210",
                          "reasonDesc": "Message delivery successful"
                        }
                      ],
                      "message": "Testing",
                      "category": "Request for Duplicate",
                      "status": "Success"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorMessages": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "type": {
                            "type": "object"
                          },
                          "description": {
                            "type": "object"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "body",
        "x-operationVersions": [
          {
            "label": "v1",
            "operationPointer": "#/paths/~1visab2bconnect~1v1~1sendMessage/post",
            "default": false
          }
        ],
        "x-hideTryIt": true
      }
    },
    "/visab2bconnect/v1/payments/bankId/{bankId}/searchType/{searchType}/keyword/{keyword}": {
      "get": {
        "tags": [
          "Payments API"
        ],
        "summary": "Search for a previous payment.",
        "description": "This API allows Participant Bank to search for payment it initiated and/or received on Visa B2B Connect Network",
        "operationId": "Search Payments",
        "parameters": [
          {
            "name": "bankId",
            "in": "path",
            "description": "Visa -issued Business ID (BID) of participant bank",
            "required": true,
            "explode": false,
            "schema": {
              "maxLength": 11,
              "minLength": 8,
              "type": "string",
              "format": "8-11 characters"
            }
          },
          {
            "name": "searchType",
            "in": "path",
            "description": "Use I for Incoming to Visa. Use O for Outgoing from Visa.",
            "required": true,
            "explode": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "keyword",
            "in": "path",
            "description": "Can search with anything related to the bank or payment",
            "required": true,
            "explode": false,
            "schema": {
              "minLength": 3,
              "type": "string",
              "format": "min 3 characters"
            }
          },
          {
            "name": "fromDate",
            "in": "query",
            "description": "Date range for payment creation date",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "toDate",
            "in": "query",
            "description": "Date ragne for payment creation date",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "description": "The link to the next set of payments",
            "required": false,
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "reccount",
            "in": "query",
            "description": "The number of records that will be displayed",
            "required": false,
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful request * <br> (response can include some additional clarifications to describe the result, instead of error message. <br> For e.g. \"errorMessages\":[\"No payment information found with the search keyword\"])",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/companySearchPaymentsResponse_14"
                  }
                },
                "examples": {
                  "Search Payment by Bank ID": {
                    "summary": "Search Payment by Bank ID",
                    "value": {
                      "pagingData": [
                        {
                          "originatingBankBID": "67778901",
                          "chargeBearer": "CRED",
                          "fxRate": "0.67781",
                          "intermediaryAgentName": "Intermediary Test Bank",
                          "creditorAgentBranchName": "Austin branch",
                          "creditorAgentTaxID": "A3BCD1234ABCD1234A1B2C3D41234ABC123",
                          "expectedSettlementDate": "2019-09-25",
                          "type": "In Network",
                          "senderEnterpriseId": "V-USA-EUR-10080373-100000001-001",
                          "originatingBankBIC": "ABDGAU36",
                          "debtorAgentCountryCode": "null",
                          "paymentId": "000000001",
                          "recipientCorpName": "FITCH SOLUTION",
                          "creditorContactName": "test name",
                          "creditorLEI": "529900T8BM49AURSDO55",
                          "recipientBankName": "BARCLAYS BANK",
                          "customerAccountNumber": "7524515555",
                          "creditorAgentInstruction": "test payment",
                          "debtorAgentClearingMemberIDType": "null",
                          "serviceLevel": "STANDARD",
                          "intermediaryAgentCountry": "DE",
                          "recieverEnterpriseId": "V-USA-EUR-20990373-100000001-004",
                          "creditorAgentCountryCode": "LY",
                          "instructingReimbursementAgent": "VISAUS35",
                          "creditorAgentIBAN": "test data",
                          "uetr": "123456789",
                          "paymentMethod": "Batch Payment",
                          "paymentPurpose": "test",
                          "creditorTaxID": "749273",
                          "loanReferenceNumber": "LRN1234567890",
                          "transactionID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYU2",
                          "actualSettlementDate": "2019-09-25",
                          "unstructuredRemittance": "test",
                          "recipientBankBID": "89000100",
                          "total": "500.00",
                          "originatingCorporateName": "KEYSTONE",
                          "currency": "EUR",
                          "debtorAgentClearingMemberID": "null",
                          "paymentStatus": "Pending Settlement",
                          "recipientBankBIC": "BARCGB22",
                          "creditorAgentBranchID": "1312312",
                          "paymentCreatedDateTime": "2018-09-23T17:48:58",
                          "creditorAgentClearingMemberIDType": "ABA",
                          "paymentPurposeCode2": "A2BCD1234ABCD1234A1B2C3D41234ABC123",
                          "creditorContactPhoneNumber": "+1-8099087769",
                          "paymentPurposeCode": "A1BCD1234ABCD1234A1B2C3D41234ABC123",
                          "intermediaryAgentBic": "TESTDEBB",
                          "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
                          "invoiceList": [
                            {
                              "notes": "For Garments",
                              "invoiceNumber": "54trtrt",
                              "paymentCurrencyIsoCode": 840,
                              "paymentCurrency": "USD",
                              "poNumber": "66tytutur",
                              "paymentAmount": 500,
                              "partialPayment": false
                            }
                          ],
                          "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
                          "fxTradeReferenceNumber": "bc77a8c6ded5400d820ab1c722efc036",
                          "statusText": "Pending Settlement",
                          "creditorAgentClearingMemberID": "SUF9823374",
                          "lastUpdatedDateTime": "2018-09-23T17:49:20",
                          "valueAddedTaxIndicator": "INC788",
                          "originatingBankName": "PNC BANK NATIONAL"
                        }
                      ],
                      "startIndex": "000000001",
                      "totalRecords": 1,
                      "nexturl": "/visab2bconnect/v1/payments/bankId/89000100/searchType/I/keyword/89000100?cursor=00000000124&reccount=5",
                      "endIndex": null,
                      "remainingRecords": "N/A",
                      "pageSize": 1,
                      "nextIndex": "N/A"
                    }
                  },
                  "Search Payment by Bank BIC": {
                    "summary": "Search Payment by Bank BIC",
                    "value": {
                      "pagingData": [
                        {
                          "originatingBankBID": "67778901",
                          "chargeBearer": "CRED",
                          "fxRate": "0.67781",
                          "intermediaryAgentName": "Intermediary Test Bank",
                          "creditorAgentBranchName": "Austin branch",
                          "creditorAgentTaxID": "A3BCD1234ABCD1234A1B2C3D41234ABC123",
                          "expectedSettlementDate": "2019-09-25",
                          "type": "In Network",
                          "senderEnterpriseId": "V-USA-EUR-10080373-100000001-001",
                          "originatingBankBIC": "ABDGAU36",
                          "debtorAgentCountryCode": "null",
                          "paymentId": "000000001",
                          "recipientCorpName": "FITCH SOLUTION",
                          "creditorContactName": "test name",
                          "creditorLEI": "529900T8BM49AURSDO55",
                          "recipientBankName": "BARCLAYS BANK",
                          "customerAccountNumber": "7524515555",
                          "creditorAgentInstruction": "test payment",
                          "debtorAgentClearingMemberIDType": "null",
                          "serviceLevel": "STANDARD",
                          "intermediaryAgentCountry": "DE",
                          "recieverEnterpriseId": "V-USA-EUR-20990373-100000001-004",
                          "creditorAgentCountryCode": "LY",
                          "instructingReimbursementAgent": "VISAUS35",
                          "creditorAgentIBAN": "test data",
                          "uetr": "123456789",
                          "paymentMethod": "Batch Payment",
                          "paymentPurpose": "test",
                          "creditorTaxID": "749273",
                          "loanReferenceNumber": "LRN1234567890",
                          "transactionID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYU2",
                          "actualSettlementDate": "2019-09-25",
                          "unstructuredRemittance": "test",
                          "recipientBankBID": "89000100",
                          "total": "500.00",
                          "originatingCorporateName": "KEYSTONE",
                          "currency": "EUR",
                          "debtorAgentClearingMemberID": "null",
                          "paymentStatus": "Pending Settlement",
                          "recipientBankBIC": "BARCGB22",
                          "creditorAgentBranchID": "1312312",
                          "paymentCreatedDateTime": "2018-09-23T17:48:58",
                          "creditorAgentClearingMemberIDType": "ABA",
                          "paymentPurposeCode2": "A2BCD1234ABCD1234A1B2C3D41234ABC123",
                          "creditorContactPhoneNumber": "+1-8099087769",
                          "paymentPurposeCode": "A1BCD1234ABCD1234A1B2C3D41234ABC123",
                          "intermediaryAgentBic": "TESTDEBB",
                          "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
                          "invoiceList": [
                            {
                              "notes": "For Garments",
                              "invoiceNumber": "54trtrt",
                              "paymentCurrencyIsoCode": 840,
                              "paymentCurrency": "USD",
                              "poNumber": "66tytutur",
                              "paymentAmount": 500,
                              "partialPayment": false
                            }
                          ],
                          "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
                          "fxTradeReferenceNumber": "bc77a8c6ded5400d820ab1c722efc036",
                          "statusText": "Pending Settlement",
                          "creditorAgentClearingMemberID": "SUF9823374",
                          "lastUpdatedDateTime": "2018-09-23T17:49:20",
                          "valueAddedTaxIndicator": "INC788",
                          "originatingBankName": "PNC BANK NATIONAL"
                        }
                      ],
                      "startIndex": "000000001",
                      "totalRecords": 2,
                      "nexturl": "/visab2bconnect/v1/payments/bankId/67778901/searchType/O/keyword/ABDGAU36?cursor=000000002&reccount=2",
                      "endIndex": "000000001",
                      "remainingRecords": "1",
                      "pageSize": 1,
                      "nextIndex": "000000002"
                    }
                  },
                  "Search Payment by Clearing Member ID": {
                    "summary": "Search Payment by Clearing Member ID",
                    "value": {
                      "pagingData": [
                        {
                          "originatingBankBID": "12345678",
                          "chargeBearer": "DEBT",
                          "fxRate": "0.67781",
                          "intermediaryAgentName": "Intermediary Test Bank",
                          "creditorAgentBranchName": "Austin branch",
                          "creditorAgentTaxID": null,
                          "expectedSettlementDate": "2019-09-25",
                          "type": "In Network",
                          "senderEnterpriseId": "V-USA-INR-10080373-100000001-001",
                          "originatingBankBIC": "null",
                          "debtorAgentCountryCode": "US",
                          "paymentId": "00000000124",
                          "recipientCorpName": "FITCH SOLUTION",
                          "creditorContactName": null,
                          "recipientBankName": "YES BANK",
                          "customerAccountNumber": "7524515555",
                          "creditorAgentInstruction": "test payment",
                          "debtorAgentClearingMemberIDType": "USABA",
                          "serviceLevel": "STANDARD",
                          "intermediaryAgentCountry": "DE",
                          "recieverEnterpriseId": "V-USA-EUR-20990373-100000001-004",
                          "creditorAgentCountryCode": "LY",
                          "instructingReimbursementAgent": "VISAUS33",
                          "creditorAgentIBAN": null,
                          "paymentMethod": "Batch Payment",
                          "paymentPurpose": "test",
                          "creditorTaxID": "749273",
                          "transactionID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY65",
                          "actualSettlementDate": "2019-09-25",
                          "unstructuredRemittance": "test",
                          "recipientBankBID": "89000100",
                          "total": "500.00",
                          "originatingCorporateName": "KEYSTONE",
                          "currency": "INR",
                          "debtorAgentClearingMemberID": "062001186",
                          "paymentStatus": "Pending Settlement",
                          "recipientBankBIC": "BARCGB22",
                          "creditorAgentBranchID": "8237492",
                          "paymentCreatedDateTime": "2018-09-26T12:32:09",
                          "creditorAgentClearingMemberIDType": "ABA",
                          "paymentPurposeCode2": null,
                          "creditorContactPhoneNumber": "+1-8099087766",
                          "paymentPurposeCode": null,
                          "intermediaryAgentBic": "TESTDEBB",
                          "endToEndID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY64",
                          "invoiceList": [
                            {
                              "notes": "For Garments",
                              "invoiceNumber": "54trtrt",
                              "paymentCurrencyIsoCode": 840,
                              "paymentCurrency": "USD",
                              "poNumber": "66tytutur",
                              "paymentAmount": 500,
                              "partialPayment": false
                            }
                          ],
                          "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
                          "fxTradeReferenceNumber": "c11fd800db9f4e12a1509ee50ba8186b",
                          "statusText": "Pending Settlement",
                          "creditorAgentClearingMemberID": "SUF9823374",
                          "lastUpdatedDateTime": "2018-09-26T12:32:13",
                          "valueAddedTaxIndicator": "EX788",
                          "originatingBankName": "PNC BANK NATIONAL"
                        },
                        {
                          "originatingBankBID": "12345678",
                          "chargeBearer": "DEBT",
                          "fxRate": "0.67781",
                          "intermediaryAgentName": "Intermediary Test Bank",
                          "creditorAgentBranchName": "Austin branch",
                          "creditorAgentTaxID": null,
                          "expectedSettlementDate": "2019-09-25",
                          "type": "In Network",
                          "senderEnterpriseId": "V-USA-INR-10080373-100000001-001",
                          "originatingBankBIC": "null",
                          "debtorAgentCountryCode": "US",
                          "paymentId": "00000000123",
                          "recipientCorpName": "FITCH SOLUTION",
                          "creditorContactName": null,
                          "creditorLEI": "529900T8BM49AURSDO55",
                          "recipientBankName": "YES BANK",
                          "customerAccountNumber": "7524515555",
                          "creditorAgentInstruction": "test payment",
                          "debtorAgentClearingMemberIDType": "USABA",
                          "serviceLevel": "STANDARD",
                          "intermediaryAgentCountry": "DE",
                          "recieverEnterpriseId": "V-USA-EUR-20990373-100000001-004",
                          "creditorAgentCountryCode": "LY",
                          "instructingReimbursementAgent": "VISAUS33",
                          "creditorAgentIBAN": null,
                          "uetr": "123456789",
                          "paymentMethod": "Batch Payment",
                          "paymentPurpose": "test",
                          "creditorTaxID": "749273",
                          "loanReferenceNumber": "LRN1234567890",
                          "transactionID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY65",
                          "actualSettlementDate": "2019-09-25",
                          "unstructuredRemittance": "test",
                          "recipientBankBID": "89000100",
                          "total": "500.00",
                          "originatingCorporateName": "KEYSTONE",
                          "currency": "INR",
                          "debtorAgentClearingMemberID": "062001186",
                          "paymentStatus": "Pending Settlement",
                          "recipientBankBIC": "BARCGB22",
                          "creditorAgentBranchID": "8237492",
                          "paymentCreatedDateTime": "2018-09-26T12:32:09",
                          "creditorAgentClearingMemberIDType": "ABA",
                          "paymentPurposeCode2": null,
                          "creditorContactPhoneNumber": "+1-8099087766",
                          "paymentPurposeCode": null,
                          "intermediaryAgentBic": "TESTDEBB",
                          "endToEndID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY64",
                          "invoiceList": [
                            {
                              "notes": "For Garments",
                              "invoiceNumber": "54trtrt",
                              "paymentCurrencyIsoCode": 840,
                              "paymentCurrency": "USD",
                              "poNumber": "66tytutur",
                              "paymentAmount": 500,
                              "partialPayment": false
                            }
                          ],
                          "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
                          "fxTradeReferenceNumber": "c11fd800db9f4e12a1509ee50ba8186b",
                          "statusText": "Pending Settlement",
                          "creditorAgentClearingMemberID": "SUF9823374",
                          "lastUpdatedDateTime": "2018-09-26T12:32:13",
                          "valueAddedTaxIndicator": "EX788",
                          "originatingBankName": "PNC BANK NATIONAL"
                        }
                      ],
                      "startIndex": "00000000124",
                      "totalRecords": 5,
                      "nexturl": "/visab2bconnect/v1/payments/bankId/12345678/searchType/O/keyword/062001186?cursor=00000000122&reccount=5",
                      "endIndex": "00000000123",
                      "remainingRecords": "3",
                      "pageSize": 2,
                      "nextIndex": "00000000122"
                    }
                  },
                  "Search Payment by Keyword": {
                    "summary": "Search Payment by Keyword",
                    "value": {
                      "pagingData": [
                        {
                          "originatingBankBID": "12345678",
                          "chargeBearer": "DEBT",
                          "fxRate": "0.67781",
                          "intermediaryAgentName": "Intermediary Test Bank",
                          "creditorAgentBranchName": "Austin branch",
                          "creditorAgentTaxID": null,
                          "expectedSettlementDate": "2019-09-25",
                          "type": "In Network",
                          "senderEnterpriseId": "V-USA-INR-10080373-100000001-001",
                          "originatingBankBIC": "ABDGAU36",
                          "debtorAgentCountryCode": "US",
                          "paymentId": "00000000124",
                          "recipientCorpName": "FITCH SOLUTION",
                          "creditorContactName": null,
                          "recipientBankName": "YES BANK",
                          "customerAccountNumber": "7524515555",
                          "creditorAgentInstruction": "test payment",
                          "debtorAgentClearingMemberIDType": "USABA",
                          "serviceLevel": "STANDARD",
                          "intermediaryAgentCountry": "DE",
                          "recieverEnterpriseId": "V-USA-EUR-20990373-100000001-004",
                          "creditorAgentCountryCode": "LY",
                          "instructingReimbursementAgent": "VISAUS33",
                          "creditorAgentIBAN": null,
                          "paymentMethod": "Batch Payment",
                          "paymentPurpose": "test",
                          "creditorTaxID": "749273",
                          "transactionID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY65",
                          "actualSettlementDate": "2019-09-25",
                          "unstructuredRemittance": "test",
                          "recipientBankBID": "89000100",
                          "total": "500.00",
                          "originatingCorporateName": "KEYSTONE",
                          "currency": "INR",
                          "debtorAgentClearingMemberID": "062001186",
                          "paymentStatus": "Pending Settlement",
                          "recipientBankBIC": "BARCGB22",
                          "creditorAgentBranchID": "8237492",
                          "paymentCreatedDateTime": "2018-09-26T12:32:09",
                          "creditorAgentClearingMemberIDType": "ABA",
                          "paymentPurposeCode2": null,
                          "creditorContactPhoneNumber": "+1-8099087766",
                          "paymentPurposeCode": null,
                          "intermediaryAgentBic": "TESTDEBB",
                          "endToEndID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY64",
                          "invoiceList": [
                            {
                              "notes": "For Garments",
                              "invoiceNumber": "54trtrt",
                              "paymentCurrencyIsoCode": 840,
                              "paymentCurrency": "USD",
                              "poNumber": "66tytutur",
                              "paymentAmount": 500,
                              "partialPayment": false
                            }
                          ],
                          "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
                          "fxTradeReferenceNumber": "c11fd800db9f4e12a1509ee50ba8186b",
                          "statusText": "Pending Settlement",
                          "creditorAgentClearingMemberID": "SUF9823374",
                          "lastUpdatedDateTime": "2018-09-26T12:32:13",
                          "valueAddedTaxIndicator": "EX788",
                          "originatingBankName": "PNC BANK NATIONAL"
                        },
                        {
                          "originatingBankBID": "12345678",
                          "chargeBearer": "DEBT",
                          "fxRate": "0.67781",
                          "intermediaryAgentName": "Intermediary Test Bank",
                          "creditorAgentBranchName": "Austin branch",
                          "creditorAgentTaxID": null,
                          "expectedSettlementDate": "2019-09-25",
                          "type": "In Network",
                          "senderEnterpriseId": "V-USA-INR-10080373-100000001-001",
                          "originatingBankBIC": "ABDGAU36",
                          "debtorAgentCountryCode": "US",
                          "paymentId": "00000000123",
                          "recipientCorpName": "FITCH SOLUTION",
                          "creditorContactName": null,
                          "creditorLEI": "529900T8BM49AURSDO55",
                          "recipientBankName": "YES BANK",
                          "customerAccountNumber": "7524515555",
                          "creditorAgentInstruction": "test payment",
                          "debtorAgentClearingMemberIDType": "USABA",
                          "serviceLevel": "STANDARD",
                          "intermediaryAgentCountry": "DE",
                          "recieverEnterpriseId": "V-USA-EUR-20990373-100000001-004",
                          "creditorAgentCountryCode": "LY",
                          "instructingReimbursementAgent": "VISAUS33",
                          "creditorAgentIBAN": null,
                          "uetr": "123456789",
                          "paymentMethod": "Batch Payment",
                          "paymentPurpose": "test",
                          "creditorTaxID": "749273",
                          "loanReferenceNumber": "LRN1234567890",
                          "transactionID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY65",
                          "actualSettlementDate": "2019-09-25",
                          "unstructuredRemittance": "test",
                          "recipientBankBID": "89000100",
                          "total": "500.00",
                          "originatingCorporateName": "KEYSTONE",
                          "currency": "INR",
                          "debtorAgentClearingMemberID": "062001186",
                          "paymentStatus": "Pending Settlement",
                          "recipientBankBIC": "BARCGB22",
                          "creditorAgentBranchID": "8237492",
                          "paymentCreatedDateTime": "2018-09-26T12:32:09",
                          "creditorAgentClearingMemberIDType": "ABA",
                          "paymentPurposeCode2": null,
                          "creditorContactPhoneNumber": "+1-8099087766",
                          "paymentPurposeCode": null,
                          "intermediaryAgentBic": "TESTDEBB",
                          "endToEndID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY64",
                          "invoiceList": [
                            {
                              "notes": "For Garments",
                              "invoiceNumber": "54trtrt",
                              "paymentCurrencyIsoCode": 840,
                              "paymentCurrency": "USD",
                              "poNumber": "66tytutur",
                              "paymentAmount": 500,
                              "partialPayment": false
                            }
                          ],
                          "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
                          "fxTradeReferenceNumber": "c11fd800db9f4e12a1509ee50ba8186b",
                          "statusText": "Pending Settlement",
                          "creditorAgentClearingMemberID": "SUF9823374",
                          "lastUpdatedDateTime": "2018-09-26T12:32:13",
                          "valueAddedTaxIndicator": "EX788",
                          "originatingBankName": "PNC BANK NATIONAL"
                        }
                      ],
                      "startIndex": "00000000124",
                      "totalRecords": 5,
                      "nexturl": "/visab2bconnect/v1/payments/bankId/12345678/searchType/O/keyword/EUR?cursor=00000000122&reccount=5",
                      "endIndex": "00000000123",
                      "remainingRecords": "3",
                      "pageSize": 2,
                      "nextIndex": "00000000122"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage_14"
                }
              }
            }
          }
        },
        "x-name": "Search for a previous payment.",
        "x-notes": "Retrieve a previous payment by specifying the BID (Visa issued Business ID) of the bank and the type of payment which is either Incoming to Visa (searchType- I) or Outgoing from Visa (searchType- O).",
        "x-operationVersions": [
          {
            "label": "v1",
            "operationPointer": "#/paths/~1visab2bconnect~1v1~1payments~1bankId~1{bankId}~1searchType~1{searchType}~1keyword~1{keyword}/get",
            "default": false
          }
        ],
        "x-sampleResponse": {
          "nexturl": "/visab2bconnect/v1/payments/bankId/12222225/searchType/O/keyword/REGRCA1QXXX?fromDate=2019-12-06&toDate=2019-12-07&cursor=1000000000078950&reccount=29",
          "endIndex": "100000089",
          "pageSize": 2,
          "nextIndex": "100002558",
          "pagingData": [
            {
              "type": "In Network",
              "uetr": "123456789",
              "total": "50000.00",
              "fxRate": "0.90",
              "currency": "EUR",
              "paymentId": "1000000000463730",
              "endToEndID": "GSBNRH6B89GHAZ0RUGNIN3KRXAPIZZCXYUH",
              "statusText": "Payment On Hold",
              "creditorLEI": "529900T8BM49AURSDO55",
              "invoiceList": [
                {
                  "notes": "Payment as Agreed",
                  "poNumber": "321",
                  "invoiceNumber": "123",
                  "paymentAmount": 50000,
                  "partialPayment": false,
                  "paymentCurrency": "EUR",
                  "paymentCurrencyIsoCode": 978
                }
              ],
              "serviceLevel": "STANDARD",
              "creditorTaxID": "v2ae197e-7d0e-487f-8829-a1990ccde35f",
              "paymentMethod": "API",
              "paymentStatus": "Pending Settlement",
              "transactionID": "BD9ISCA5KT0XXIQSRLQXF7S5L5JBG4KQY6P",
              "paymentPurpose": "test",
              "recipientBankBIC": "LMNOZZEFXXX",
              "recipientBankBID": "12341234",
              "recipientBankName": "Receiver Bank",
              "recipientCorpName": "Receiver Company",
              "creditorAgentTaxID": "A1BCD1234ABCD1234A1B2C3D41234ABC123",
              "originatingBankBIC": "ABCDUSEFXXX",
              "originatingBankBID": "43214321",
              "paymentDateAndTime": "2020-04-31T09:10:37",
              "paymentPurposeCode": "A1BCD1234ABCD1234A1B2C3D41234ABC123",
              "senderEnterpriseId": "V-USA-EUR-20373-2342-004",
              "creditorContactName": "Contact Name",
              "lastUpdatedDateTime": "2020-04-31T09:10:37",
              "loanReferenceNumber": "LRN1234567890",
              "originatingBankName": "Originating Bank",
              "paymentPurposeCode2": "A1BCD1234ABCD1234A1B2C3D41234ABC123",
              "actualSettlementDate": "2020-03-31T09:10:37",
              "intermediaryAgentBic": "TESTDEBB",
              "recieverEnterpriseId": "V-USA-EUR-9835334-2432-001",
              "creditorAccountNumber": "08080088",
              "creditorAgentBranchID": "A1BCD1234ABCD1234A1B2C3D41234ABC123",
              "customerAccountNumber": "07070077",
              "intermediaryAgentName": "Intermediary Test Bank",
              "expectedSettlementDate": "2020-04-03T09:10:37",
              "fxTradeReferenceNumber": "BD9ISCA5KT0XXIQSRLQXF7S5L9JBG4KQY6P",
              "unstructuredRemittance": "test",
              "valueAddedTaxIndicator": "INC",
              "creditorAgentBranchName": "Creditor Test Branch Name",
              "creditorAgentCountryCode": "LY",
              "creditorAgentInstruction": "test",
              "intermediaryAgentAddress": "10 Birkelweg Frankfurt am Main Germany",
              "intermediaryAgentCountry": "DE",
              "originatingCorporateName": "Payer Company",
              "creditorContactPhoneNumber": "+012-1231231234",
              "creditorAgentClearingMemberID": "062200961",
              "instructingReimbursementAgent": "AABBGBCCXXX",
              "creditorAgentClearingMemberIDType": "USABA"
            }
          ],
          "startIndex": "100000039",
          "totalRecords": 1,
          "remainingRecords": "0"
        },
        "x-hideTryIt": true
      }
    },
    "/visab2bconnect/v1/payments/paymentStatusUpdate": {
      "post": {
        "tags": [
          "Payments API"
        ],
        "summary": "Update Payment Status",
        "description": "Update Payment Status",
        "operationId": "Update Payment Status",
        "requestBody": {
          "description": "Request body",
          "content": {
            "application/json": {
              "schema": {
                "required": [
                  "action"
                ],
                "type": "object",
                "properties": {
                  "action": {
                    "type": "string",
                    "description": "One of the possible values {RECALL, REJECT, BENECONFIRM, RECALLACCEPT or RECALLREJECT}"
                  },
                  "comments": {
                    "type": "string",
                    "description": "Comments, applicable for all Actions. Max 350 characters"
                  },
                  "paymentId": {
                    "type": "string",
                    "description": "Mandatory if endToEndId or transactionId is not provided"
                  },
                  "endToEndId": {
                    "type": "string",
                    "description": "Mandatory if paymentId or transactionId is not provided"
                  },
                  "exchangeRate": {
                    "type": "string",
                    "description": "To be used when beneficiary/creditor account is credited in currency other than Settlement Currency"
                  },
                  "transactionId": {
                    "type": "string",
                    "description": "Mandatory if endToEndId or paymentId is not provided"
                  },
                  "actionReasonCode": {
                    "type": "string",
                    "description": "Reason for RECALL and REJECT Actions, required if action is RECALL or REJECT"
                  },
                  "instructedAmount": {
                    "type": "string",
                    "description": "Instructed Amount of payment for Action=BENECONFIRM"
                  },
                  "instructedCurrency": {
                    "type": "string",
                    "description": "Instructed Currency of payment for Action=BENECONFIRM"
                  },
                  "beneficiaryCreditDateTime": {
                    "type": "string",
                    "description": "Date and Time of funds availability to Beneficiary/Creditor for Action=BENECONFIRM"
                  }
                }
              },
              "examples": {
                "Default": {
                  "summary": "Default",
                  "value": {
                    "instructedCurrency": null,
                    "beneficiaryCreditDateTime": null,
                    "comments": null,
                    "actionReasonCode": "AGNT",
                    "exchangeRate": null,
                    "paymentId": "1000000000000158",
                    "action": "RECALL",
                    "instructedAmount": null,
                    "endToEndId": null,
                    "transactionId": null
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "paymentStatusUpdateResponse": {
                      "type": "object",
                      "properties": {
                        "action": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "comments": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "paymentId": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "endToEndId": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "exchangeRate": {
                          "type": "string"
                        },
                        "responseList": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "reasonCode": {
                                "type": "string",
                                "description": "Reason Code"
                              },
                              "reasonDesc": {
                                "type": "string",
                                "description": "Reason Description"
                              }
                            }
                          }
                        },
                        "transactionId": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "actionDateTime": {
                          "type": "string"
                        },
                        "actionReasonCode": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "actionReasonDesc": {
                          "type": "string",
                          "description": "replay from request. Description for actionReasonDesc"
                        },
                        "instructedAmount": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "instructedCurrency": {
                          "type": "string",
                          "description": "replay from request"
                        },
                        "beneficiaryCreditDateTime": {
                          "type": "string",
                          "description": "replay from request"
                        }
                      },
                      "description": "Successful request"
                    }
                  }
                },
                "examples": {
                  "Default": {
                    "summary": "Default",
                    "value": {
                      "comments": null,
                      "actionReasonCode": "AGNT",
                      "actionDateTime": "2019-02-25T10:38:09",
                      "endToEndId": null,
                      "transactionId": null,
                      "actionReasonDesc": "Agent in the payment workflow is incorrect",
                      "instructedCurrency": null,
                      "beneficiaryCreditDateTime": null,
                      "exchangeRate": null,
                      "paymentId": "1000000000000158",
                      "action": "RECALL",
                      "responseList": [
                        {
                          "reasonCode": "Z201",
                          "reasonDesc": "Payment Status Update successful"
                        }
                      ],
                      "instructedAmount": null
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "action": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "comments": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "paymentId": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "endToEndId": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "exchangeRate": {
                      "type": "string"
                    },
                    "responseList": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "reasonCode": {
                            "type": "string",
                            "description": "Reason Code"
                          },
                          "reasonDesc": {
                            "type": "string",
                            "description": "Reason Description"
                          }
                        }
                      }
                    },
                    "transactionId": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "actionDateTime": {
                      "type": "string"
                    },
                    "actionReasonCode": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "actionReasonDesc": {
                      "type": "string",
                      "description": "replay from request. Description for actionReasonDesc"
                    },
                    "instructedAmount": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "instructedCurrency": {
                      "type": "string",
                      "description": "replay from request"
                    },
                    "beneficiaryCreditDateTime": {
                      "type": "string",
                      "description": "replay from request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorMessages": {
                      "type": "array",
                      "description": "Displays error messages, if any",
                      "items": {
                        "type": "object",
                        "properties": {
                          "type": {
                            "type": "object"
                          },
                          "description": {
                            "type": "object"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "paymentStatusUpdatePost",
        "x-operationVersions": [
          {
            "label": "v1",
            "operationPointer": "#/paths/~1visab2bconnect~1v1~1payments~1paymentStatusUpdate/post",
            "default": false
          }
        ],
        "x-hideTryIt": true
      }
    },
    "/visab2bconnect/v1/fees/fxRatesCalculator": {
      "get": {
        "tags": [
          "Payments API"
        ],
        "summary": "Get the Effective Conversion Rate",
        "description": "This API provides foreign exchange rate (Spot Rates) for currencies supported by B2B Connect Service",
        "operationId": "Get the Effective Conversion Rate",
        "parameters": [
          {
            "name": "sourceCurrencyAlphaCode",
            "in": "query",
            "description": "Currency of the Originator of the payment (Valid ISO 4217 3-alpha currency code)",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 3,
              "minLength": 3,
              "type": "string",
              "format": "3 characters"
            }
          },
          {
            "name": "targetCurrencyAlphaCode",
            "in": "query",
            "description": "Currency of the payment recipient (Valid ISO 4217 3-alpha currency code)",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 3,
              "minLength": 3,
              "type": "string",
              "format": "3 characters"
            }
          },
          {
            "name": "markup",
            "in": "query",
            "description": "Optional markup to be applied to exchange rate in response.  Must be a positive decimal value with a maximum of 4 integers and 5 decimal places. Min is 0.00001 (basis points).",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "multipleOf": 0.00001,
              "maxLength": 10,
              "type": "number",
              "format": "number(9,5)"
            }
          },
          {
            "name": "requestId",
            "in": "query",
            "description": "Unique identifier for tracking rate request",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 35,
              "type": "string",
              "format": "up to 35 characters"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/fxRatesCalculatorResponse"
                },
                "examples": {
                  "Default": {
                    "summary": "Default",
                    "value": {
                      "effectiveConversionRate": 0.66206931,
                      "targetCurrency": "GBP",
                      "requestId": "A1234BCD1234ABCD4321ABCD",
                      "sourceCurrency": "USD",
                      "rateExpiry": "2020-04-31T09:10:37",
                      "rateId": "123412341234",
                      "effectiveConversionRateWithMarkup": 0.66206931
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage"
                }
              }
            }
          },
          "500": {
            "description": "Server Error or Exception",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage"
                }
              }
            }
          }
        },
        "x-operationVersions": [
          {
            "label": "v1",
            "operationPointer": "#/paths/~1visab2bconnect~1v1~1fees~1fxRatesCalculator/get",
            "default": false
          },
          {
            "label": "v2 - Latest",
            "operationPointer": "#/paths/~1visab2bconnect~1v2~1fees~1fxRatesCalculator/get",
            "default": false
          }
        ],
        "x-hideTryIt": true
      }
    },
    "/visab2bconnect/v1/payments/validateEligibility": {
      "post": {
        "tags": [
          "Payments API"
        ],
        "summary": "Validate Payment Eligibility",
        "description": "Validate Payment Eligibility.",
        "operationId": "Validate Payment Eligibility",
        "parameters": [
          {
            "name": "relationship-id",
            "in": "header",
            "description": "subsidiary Clearing MemberID OR subsidiary Bank Bic",
            "required": false,
            "explode": false,
            "schema": {
              "type": "string",
              "format": "BIC"
            }
          }
        ],
        "requestBody": {
          "description": "Request body",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/paymentEligibilityRequest_15"
              },
              "examples": {
                "Validate Eligibility by BIC": {
                  "summary": "Validate Eligibility by BIC",
                  "value": {
                    "debtorBankBic": "VISAUS33",
                    "settlementCurrency": "USD",
                    "debtorEnterpriseId": "V-USA-USD-25062019-100670398-001",
                    "settlementAmount": "1.00",
                    "creditorEnterpriseId": "V-USA-USD-80907060-100670403-001",
                    "creditorBankBic": "EPMTUSLLXXX"
                  }
                },
                "Validate Eligibility by Clearing Member ID": {
                  "summary": "Validate Eligibility by Clearing Member ID",
                  "value": {
                    "settlementCurrency": "USD",
                    "debtorEnterpriseId": "V-USA-USD-25062019-100670398-001",
                    "settlementAmount": "1.00",
                    "debtorAgentClearingMemberIDType": "USABA",
                    "debtorAgentClearingMemberID": "062001186",
                    "creditorEnterpriseId": "V-USA-USD-80907060-100670403-001",
                    "creditorBankBic": "EPMTUSLLXXX"
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/paymentEligibilityResponse_15"
                },
                "examples": {
                  "Validate Eligibility by BIC": {
                    "summary": "Validate Eligibility by BIC",
                    "value": {
                      "debtorEnterpriseId": "V-USA-USD-25062019-100670398-001",
                      "responseList": [
                        {
                          "reasonCode": "SU10",
                          "reasonDesc": " Payment eligibility validation success."
                        }
                      ],
                      "type": "In Network",
                      "creditorEnterpriseId": "V-USA-USD-80907060-100670403-001"
                    }
                  },
                  "Validate Eligibility by Clearing Member ID": {
                    "summary": "Validate Eligibility by Clearing Member ID",
                    "value": {
                      "debtorEnterpriseId": "V-USA-USD-25062019-100670398-001",
                      "responseList": [
                        {
                          "reasonCode": "SU10",
                          "reasonDesc": " Payment eligibility validation success."
                        }
                      ],
                      "type": "In Network",
                      "creditorEnterpriseId": "V-USA-USD-80907060-100670403-001"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/paymentEligibilityResponse_15"
                },
                "example": {
                  "responseList": [
                    {
                      "reasonCode": "BE20",
                      "reasonDesc": "Debtor corporate not enabled for transaction"
                    }
                  ],
                  "debtorEnterpriseId": "V-USA-EUR-10080373-100000001-001",
                  "creditorEnterpriseId": "V-USA-USA-80373100-100000891-185"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage_15"
                }
              }
            }
          }
        },
        "x-samplePayload": {
          "debtorIBAN": "ZZ123412341234123412341234",
          "creditorIBAN": "ZZ43214321432143214321",
          "debtorBankBic": "ABCDUSEFXXX",
          "debtorCountry": "FRA",
          "creditorBankBic": "LMNOZZEFXXX",
          "creditorCountry": "USA",
          "settlementAmount": 500000,
          "debtorEnterpriseId": "V-USA-EUR-10080373-100000001-001",
          "settlementCurrency": "EUR",
          "debtorAccountNumber": "07070077",
          "creditorEnterpriseId": "V-USA-USA-80373100-100000891-185",
          "creditorAccountNumber": "08080088",
          "creditorAgentCountryCode": "LY",
          "creditorAgentClearingMemberID": "062200961",
          "creditorAgentClearingMemberIDType": "USABA"
        },
        "x-name": "Validate Payment Eligibility",
        "x-notes": "Pre-validate payment details",
        "x-operationVersions": [
          {
            "label": "v1",
            "operationPointer": "#/paths/~1visab2bconnect~1v1~1payments~1validateEligibility/post",
            "default": false
          }
        ],
        "x-codegen-request-body-name": "paymentEligibilityPost",
        "x-hideTryIt": true
      }
    },
    "/visab2bconnect/v2/fees/fxRatesCalculator": {
      "get": {
        "tags": [
          "Payments API"
        ],
        "summary": "Get the Effective Conversion Rate",
        "description": "This API allows request for an exchange rate for a currency pair. This exchange rate is valid for the duration specified by Rate Expiry Date/Time.",
        "operationId": "Get the Effective Conversion Rate",
        "parameters": [
          {
            "name": "settlementCurrency",
            "in": "query",
            "description": "Currency of the Originator of the payment (Valid ISO 4217 3-alpha currency code)",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 3,
              "minLength": 3,
              "type": "string",
              "format": "3 characters"
            }
          },
          {
            "name": "instructedCurrency",
            "in": "query",
            "description": "Currency of the payment recipient (Valid ISO 4217 3-alpha currency code)",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 3,
              "minLength": 3,
              "type": "string",
              "format": "3 characters"
            }
          },
          {
            "name": "markup",
            "in": "query",
            "description": "Optional markup to be applied to exchange rate in response.  Must be a positive decimal value with a maximum of 4 integers and 5 decimal places. Min is 0.00001 (basis points).",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "multipleOf": 0.00001,
              "maxLength": 10,
              "type": "number",
              "format": "number(9,5)"
            }
          },
          {
            "name": "requestId",
            "in": "query",
            "description": "Unique identifier for tracking rate request",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 35,
              "type": "string",
              "format": "up to 35 characters"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/fxRatesCalculatorResponse-1"
                },
                "examples": {
                  "FX Rate without Markup": {
                    "summary": "FX Rate without Markup",
                    "value": {
                      "effectiveConversionRate": 0.61031705,
                      "targetCurrency": "GBP",
                      "requestId": "123",
                      "sourceCurrency": "AUD",
                      "rateExpiry": "2024-06-04T15:47:11.714Z",
                      "rateId": "52f50413-efe9-4e90-9c2b-ace3f57a12db"
                    }
                  },
                  "FX Rate with Markup": {
                    "summary": "FX Rate with Markup",
                    "value": {
                      "effectiveConversionRate": 0.61031705,
                      "targetCurrency": "GBP",
                      "requestId": "A1234BCD1234ABCD4321ABCD",
                      "sourceCurrency": "AUD",
                      "rateExpiry": "2024-06-04T21:29:05.887Z",
                      "rateId": "3eba6e35-2b40-4601-b9b4-f2dedf62bdf3",
                      "effectiveConversionRateWithMarkup": 1.11031705
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage"
                }
              }
            }
          },
          "500": {
            "description": "Server Error or Exception",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/responseMessage"
                }
              }
            }
          }
        },
        "x-hideTryIt": true
      }
    }
  },
  "components": {
    "schemas": {
      "companyPaymentsResponse": {
        "type": "object",
        "properties": {
          "paymentId": {
            "type": "string",
            "description": "Unique ID for payment as assinged by network"
          },
          "debtorIBAN": {
            "type": "string",
            "description": "IBAN of Payer Company (Debtor)",
            "format": "1-34 characters"
          },
          "debtorName": {
            "maxLength": 140,
            "type": "string",
            "description": "Full Name of Payer Company (Debtor)",
            "format": "max 140 characters"
          },
          "endToEndID": {
            "type": "string",
            "description": "End to End ID assigned by Originating Bank (Debtor Agent). If not available this can have the same value as Transaction ID"
          },
          "creditorIBAN": {
            "type": "string",
            "description": "IBAN of Beneficiary Company",
            "format": "1-34 characters"
          },
          "creditorName": {
            "maxLength": 140,
            "type": "string",
            "description": "Full Name of Beneficiary Company (Creditor)",
            "format": "max 140 characters"
          },
          "exchangeRate": {
            "type": "number",
            "description": "The exchange rate, if any",
            "format": "double"
          },
          "responseList": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/responseList01"
            }
          },
          "serviceLevel": {
            "type": "string",
            "description": "Default to Standard. Reserved for future use"
          },
          "creditorTaxID": {
            "maxLength": 35,
            "type": "string",
            "description": "Local Tax ID of Beneficiary Company (Creditor). Country-specific validations apply",
            "format": "max 25 characters"
          },
          "debtorAddress": {
            "maxLength": 140,
            "type": "string",
            "description": "Full Address of Payer Company (Debtor)",
            "format": "max 140 characters"
          },
          "debtorCountry": {
            "type": "string",
            "description": "Country of Payer Company (Debtor). Valid supported ISO 3166 2-alpha country code",
            "format": "2 characters"
          },
          "paymentStatus": {
            "type": "string",
            "description": "Status of the Payment"
          },
          "transactionID": {
            "type": "string",
            "description": "Transaction ID assigned by Originating Bank (Debtor Agent). If not available this can have the same value as End to End ID"
          },
          "debtorAgentBic": {
            "type": "string",
            "description": "SWIFT BIC of Originating Bank (Debtor Agent)",
            "format": "8-11 characters"
          },
          "debtorAgentBid": {
            "type": "string",
            "description": "Visa-issued Business ID (BID) 8 digits of Originating Bank (Debtor Agent)",
            "format": "8 characters"
          },
          "paymentPurpose": {
            "type": "string",
            "description": "Purpose of Payment. Country-specific validations apply"
          },
          "creditorAddress": {
            "maxLength": 140,
            "type": "string",
            "description": "Full Address of Beneficiary Company (Creditor)",
            "format": "max 140 characters including spaces"
          },
          "creditorCountry": {
            "type": "string",
            "description": "Country of Beneficiary Company (Creditor). Valid supported ISO 3166 2-alpha country code",
            "format": "2 characters"
          },
          "creditorAgentBic": {
            "type": "string",
            "description": "SWIFT BIC of Beneficiary Bank (Creditor Agent)",
            "format": "8-11 characters"
          },
          "creditorAgentBid": {
            "type": "string",
            "description": "Visa-issued Business ID (BID) 8-digits of Beneficiary Bank (Creditor Agent)",
            "format": "8 characters"
          },
          "fxTradeRefNumber": {
            "maxLength": 35,
            "type": "string",
            "description": "FX Trade Reference Number, reserved for future use",
            "format": "max 35 characters"
          },
          "instructedAmount": {
            "type": "number",
            "description": "Amount instructed to be delivered to Beneficiary Company (Creditor)",
            "format": "BigDecimal"
          },
          "settlementAmount": {
            "type": "number",
            "description": "Settlement Amout",
            "format": "BigDecimal"
          },
          "creditorAgentIBAN": {
            "type": "string",
            "description": "Account IBAN of Beneficiary Bank (Creditor Agent)",
            "format": "max 35 characters"
          },
          "creditorAgentTaxID": {
            "maxLength": 35,
            "type": "string",
            "description": "Tax ID of Beneficiary Bank (Creditor Agent)"
          },
          "debtorEnterpriseId": {
            "pattern": "^[A-Z]{1}-[A-Z]{3}-[A-Z]{3}-\\d{8}-\\d{9}-\\d{3}$",
            "type": "string",
            "description": "Enterprise ID of Payer Company (Debtor). Enterprise ID is assigned to each network-enabled company."
          },
          "instructedCurrency": {
            "type": "string",
            "description": "Currency of the Instructed Amount. Valid supported ISO 4217 3-character currency code",
            "format": "3 characters"
          },
          "paymentCreatedDate": {
            "type": "string",
            "description": "Date and time of payment creation",
            "format": "date"
          },
          "paymentPurposeCode": {
            "maxLength": 35,
            "type": "string",
            "description": "Purpose of Payment Code. Country-specific validations apply"
          },
          "settlementCurrency": {
            "type": "string",
            "description": "Settlement Currency (ISO 4217 3-alpha currency code)",
            "format": "3 characters"
          },
          "creditorContactName": {
            "maxLength": 140,
            "type": "string",
            "description": "Contact Name of the Beneficiary Company (Creditor)."
          },
          "debtorAccountNumber": {
            "type": "string",
            "description": "Account number of Payer Company (Debtor)"
          },
          "paymentPurposeCode2": {
            "maxLength": 35,
            "type": "string",
            "description": "Purpose of Payment Code 2. Country-specific validations apply"
          },
          "creditorEnterpriseId": {
            "pattern": "^[A-Z]{1}-[A-Z]{3}-[A-Z]{3}-\\d{8}-\\d{9}-\\d{3}$",
            "type": "string",
            "description": "Enterprise ID of Beneficiary Company (Creditor). Enterprise ID is assigned to reach network-enabled company."
          },
          "structuredRemittance": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/structuredRemittance01"
            }
          },
          "creditorAccountNumber": {
            "type": "string",
            "description": "Account Number of Beneficiary Company (Creditor)"
          },
          "creditorAgentBranchID": {
            "maxLength": 35,
            "type": "string",
            "description": "Branch ID of Beneficiary Bank (Creditor Agent)",
            "format": "max 35 characters"
          },
          "expectedSettlementDate": {
            "type": "string",
            "description": "Expected date of settlement",
            "format": "date"
          },
          "unstructuredRemittance": {
            "type": "string",
            "description": "Free form remittance, typically corresponds to Originator Information (OBI)"
          },
          "valueAddedTaxIndicator": {
            "type": "string",
            "description": "Possible values: INC (VAT Included) or EX (VAT Excluded from payment amount). Applicable to RUB payments to Russia"
          },
          "creditorAgentBranchName": {
            "maxLength": 140,
            "type": "string",
            "description": "Branch Name of the Beneficiary Bank (Creditor Agent)",
            "format": "max 140 characters"
          },
          "creditorAgentInstruction": {
            "type": "string",
            "description": "Any Bank-toBank Information (BBI) populated by Originating Bank (Debtor Agent) for Beneficiary Bank (Creditor Agent)."
          },
          "creditorContactPhoneNumber": {
            "pattern": "^\\+[0-9]{1,3}-[0-9()+\\-]{1,30}$",
            "type": "string",
            "description": "Contact phone number for the Beneficiary Company (Creditor). Country-specific validations apply"
          },
          "creditorAgentClearingMemberID": {
            "maxLength": 35,
            "type": "string",
            "description": "Clearing Member ID of Beneficiary Bank (Creditor Agent) e.g. USA ABA number, UK Sort Code, etc.",
            "format": "max 35 characters"
          },
          "instructingReimbursementAgent": {
            "type": "string",
            "description": "Instructing Reimbursement Agent to be used for this payment"
          }
        }
      },
      "responseList_13": {
        "title": "responseList",
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "reasonCode": {
              "type": "string",
              "description": "Reason Code"
            },
            "reasonDesc": {
              "type": "string",
              "description": "Reason Description"
            }
          }
        }
      },
      "fxRatesCalculatorResponse": {
        "type": "object",
        "properties": {
          "rateId": {
            "type": "string",
            "description": "Unique identifier assigned to rate response"
          },
          "requestId": {
            "type": "string",
            "description": "Unique identifier for tracking rate request",
            "format": "up to 35 characters"
          },
          "rateExpiry": {
            "type": "string",
            "description": "Exchange Rate is valid until Date and time specified here",
            "format": "yyyy-mm-ddThh:mm:ss"
          },
          "sourceCurrency": {
            "type": "string",
            "description": "Currency of the Originator of the payment (Valid ISO 4217 3-alpha currency code)",
            "format": "3 characters"
          },
          "targetCurrency": {
            "type": "string",
            "description": "Currency of the payment recipient (Valid ISO 4217 3-alpha currency code)",
            "format": "3 characters"
          },
          "effectiveConversionRate": {
            "type": "number",
            "description": "Exchange Rate between Source and Target Currencies",
            "format": "number(9,5)"
          },
          "effectiveConversionRateWithMarkup": {
            "type": "number",
            "description": "Exchange Rate with optional markup applied",
            "format": "number(9,5)"
          }
        }
      },
      "pagingData01_14": {
        "title": "pagingData01",
        "required": [
          "currency",
          "customerAccountNumber",
          "fxRate",
          "invoiceList",
          "originatingBankBID",
          "originatingBankName",
          "originatingCorporateName",
          "paymentDateAndTime",
          "paymentId",
          "recipientBankBID",
          "recipientBankName",
          "recipientCorpName",
          "statusText",
          "total"
        ],
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "Type of Payment. Possible Values: In Network or Out-of-Network"
          },
          "uetr": {
            "maxLength": 36,
            "type": "string",
            "description": "UETR is unique payment reference for payments sent over SWIFT GPI"
          },
          "total": {
            "type": "string",
            "description": "Settlement Amount"
          },
          "fxRate": {
            "type": "string",
            "description": "Foreign Exchange Rate",
            "format": "Double"
          },
          "currency": {
            "type": "string",
            "description": "Settlement Currency (ISO 4217 3-alpha currency code), can be used to filter by currency. Blank means all settlement currencies are configured with Visa"
          },
          "paymentId": {
            "type": "string",
            "description": "Unique ID for payment as assigned by network"
          },
          "endToEndID": {
            "type": "string",
            "description": "End to End ID assigned by Originating Bank (Debtor Agent) during Payment Initiation"
          },
          "statusText": {
            "type": "string",
            "description": "Status of the Payment"
          },
          "creditorLEI": {
            "maxLength": 20,
            "type": "string",
            "description": "Legal Entity Identifier (LEI) of a creditor. Country-specific validations apply",
            "format": "As per character set. Max 20 characters"
          },
          "invoiceList": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/invoiceList01_14"
            }
          },
          "chargeBearer": {
            "type": "string",
            "description": "Specify which party will pay charges due for processing of the payment. Possible values are DEBT (charges borne by debtor), CRED (charges borne by Creditor), SHAR (charges shared by debtor and creditor)",
            "format": "As per character set. Max 4 characters"
          },
          "serviceLevel": {
            "type": "string",
            "description": "Default to Standard. Reserved for future use"
          },
          "creditorTaxID": {
            "type": "string",
            "description": "Local Tax ID of Beneficiary Company (Creditor)"
          },
          "paymentMethod": {
            "type": "string",
            "description": "Method of payment initiation by Originating Bank (Debtor Agent)"
          },
          "paymentStatus": {
            "type": "string",
            "description": "Status of Payment"
          },
          "transactionID": {
            "type": "string",
            "description": "Unique ID assigned by Originating Bank (Debtor Agent) during Payment Initiation"
          },
          "paymentPurpose": {
            "type": "string",
            "description": "Purpose of Payment"
          },
          "recipientBankBIC": {
            "type": "string",
            "description": "SWIFT BIC of Beneficiary Bank (Creditor Agent)",
            "format": "8-11 characters"
          },
          "recipientBankBID": {
            "type": "string",
            "description": "Visa-issued Business ID (BID) of Beneficiary Bank (Creditor Agent)",
            "format": "8 characters"
          },
          "creditorAgentIBAN": {
            "type": "string",
            "description": "Account IBAN of Beneficiary Bank (Creditor Agent)",
            "format": "max 35 characters"
          },
          "recipientBankName": {
            "type": "string",
            "description": "Name of Beneficiary Bank (Creditor Agent)"
          },
          "recipientCorpName": {
            "type": "string",
            "description": "Name of Beneficiary Company (Creditor)"
          },
          "creditorAgentTaxID": {
            "type": "string",
            "description": "Tax ID of Beneficiary Bank (Creditor Agent)",
            "format": "max 35 characters"
          },
          "originatingBankBIC": {
            "type": "string",
            "description": "SWIFT BIC of Originating Bank (Debtor Agent)",
            "format": "8-11 characters"
          },
          "originatingBankBID": {
            "type": "string",
            "description": "Visa-issued Business ID (BID) of Originating Bank (Debtor Agent).",
            "format": "8 characters"
          },
          "paymentDateAndTime": {
            "type": "string",
            "description": "Payment execution date and time",
            "format": "date, time"
          },
          "paymentPurposeCode": {
            "type": "string",
            "description": "Purpose of Payment Code",
            "format": "max 35 characters"
          },
          "senderEnterpriseId": {
            "type": "string",
            "description": "Enterprise ID of Payer Company (Debtor). Enterprise ID is assigned to each network-enabled company."
          },
          "creditorContactName": {
            "maxLength": 140,
            "type": "string",
            "description": "Contact Name of the Beneficiary Company (Creditor)"
          },
          "loanReferenceNumber": {
            "maxLength": 35,
            "type": "string",
            "description": "The reference number associated with a loan. Country-specific validations apply",
            "format": "As per character set. Max 35 characters"
          },
          "originatingBankName": {
            "type": "string",
            "description": "Name of Originating Bank (Debtor Agent)"
          },
          "paymentPurposeCode2": {
            "type": "string",
            "description": "Purpose of Payment Code 2",
            "format": "max 35 characters"
          },
          "actualSettlementDate": {
            "type": "string",
            "description": "Actual date of settlement",
            "format": "date"
          },
          "intermediaryAgentBic": {
            "type": "string",
            "description": "Intermediary Agent BIC .",
            "format": "BIC Standard format. 8-11 characters"
          },
          "receiverEnterpriseId": {
            "type": "string",
            "description": "Enterprise ID of Beneficiary Company (Creditor). Enterprise ID is assigned to each network-enabled company."
          },
          "creditorAgentBranchID": {
            "type": "string",
            "description": "Branch ID of Beneficiary Bank (Creditor Agent)"
          },
          "customerAccountNumber": {
            "type": "string",
            "description": "Account number of Beneficiary Company (Creditor)"
          },
          "intermediaryAgentName": {
            "type": "string",
            "description": "Intermediary Agent's Name ",
            "format": "As per character set"
          },
          "debtorAgentCountryCode": {
            "type": "string",
            "description": "The country code type of the non bic asociated debtor bank"
          },
          "expectedSettlementDate": {
            "type": "string",
            "description": "Expected date of settlement",
            "format": "date"
          },
          "fxTradeReferenceNumber": {
            "type": "string",
            "description": "FX Trade Reference number"
          },
          "unstructuredRemittance": {
            "type": "string",
            "description": "Free form remittance entered during Payment Initiation, typically corresponds to Originator-to-Beneficiary Information (OBI)"
          },
          "valueAddedTaxIndicator": {
            "type": "string",
            "description": "Possible values: INC (VAT Included) or EX (VAT excluded). Applicable to RUB payments to Russia."
          },
          "creditorAgentBranchName": {
            "type": "string",
            "description": "Branch Name of Beneficiary Bank (Creditor Agent)"
          },
          "creditorAgentCountryCode": {
            "maxLength": 45,
            "type": "string",
            "description": "Country Code of Beneficiary Bank (Creditor Agent)",
            "format": "IBAN Standard Format. 1-45 characters"
          },
          "creditorAgentInstruction": {
            "type": "string",
            "description": "Any Bank to Bank Information (BBI) populated by Originating Bank (Debtor Agent) for Beneficiary Bank (Creditor Agent) is returned here."
          },
          "intermediaryAgentAddress": {
            "type": "string",
            "description": "Intermediary Agent's Address",
            "format": "As per character set"
          },
          "intermediaryAgentCountry": {
            "type": "string",
            "description": "Intermediary Agent's Country",
            "format": "As per character set"
          },
          "originatingCorporateName": {
            "type": "string",
            "description": "Name of Payer Company (Debtor)"
          },
          "creditorContactPhoneNumber": {
            "type": "string",
            "description": "Phone number of Beneficiary Company (Creditor)"
          },
          "debtorAgentClearingMemberID": {
            "type": "string",
            "description": "The clearing member id of the non bic asociated debtor bank"
          },
          "creditorAgentClearingMemberID": {
            "maxLength": 35,
            "type": "string",
            "description": "Clearing Member ID of Beneficiary Bank (Creditor Agent) e.g. USA ABA number, UK Sort Code, etc.",
            "format": "As per character set."
          },
          "instructingReimbursementAgent": {
            "type": "string",
[...]
